let $DataManager = Java.loadClass("se.mickelus.tetra.data.DataManager").instance;
let $MaterialVariantData = Java.loadClass("se.mickelus.tetra.module.data.MaterialVariantData")
let $MaterialMultiplier = Java.loadClass("se.mickelus.tetra.module.data.MaterialMultiplier");
let $EffectData = Java.loadClass("se.mickelus.tetra.module.data.EffectData");

let moduleDatas = $DataManager.moduleData.getData().entrySet();
for (let i = 0; i < moduleDatas.length; i++) {
    let entry = moduleDatas[i];
    let moduleKey = entry.getKey();
    let moduleValue = entry.getValue();
    let variant = moduleValue.variants
    let variant$1 = variant[0]

}

//     for (let j = 0; j < variant.length; j++) {


//         let material = variant[j].extract

//         console.log(material)


// //         // let itemStacks = material.getApplicableItemStacks();
// //         // if (itemStacks.length === 0) continue;
// //         // for (let k = 0; k < itemStacks.length; k++) {
// //             // let stack = itemStacks[k];
// //             // if (TetraJS$TetraJSUtils.stackIsTetraMaterial(stack)) {
// //             //     continue;
// //             // }
// //             // let modulePath = moduleKey.path; //  "zu_li_jian/water_walker/water_walker_you"
// //             // let moduleName = $I18n.get("tetra/module/" + modulePath + ".name");
// //             // let slotNames = [];
// //             // for (let s = 0; s < slots.length; s++) {
// //             //     let slotKey = slots[s];
// //             //     let localizedSlot = $I18n.get("tetra.slot." + slotKey);
// //             //     slotNames.push(localizedSlot);
// //             // }
// //             // let combinedSlots = slotNames.join("/");
// //             // tooltip.push({
// //             //     "name": stack.id,
// //             //     "slots": combinedSlots,
// //             //     "module": moduleName
// //             // });
// //     //     }
//     }
// }



// client_scripts/yi/materialModuledata.js 或 startup_scripts/...

